Bug 1001528

Summary: ruby should own /usr/include/vendor_ruby
Product: [Fedora] Fedora Reporter: Miroslav Suchý <msuchy>
Component: rubyAssignee: Jeroen van Meeuwen <vanmeeuwen+fedora>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 29CC: bkabrda, mtasaka, tagoh, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-19 16:51:25 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Miroslav Suchý 2013-08-27 04:46:23 EDT
Description of problem:
If some gem (see bug 912960 for example) create .so file and provide header file, it should be probably stored in vendorhdrdir:
 pkg-config --variable=vendorhdrdir ruby
 /usr/include/vendor_ruby
And even if we come in bug 912960 with different resolution, ruby somehow expect vendorhdrdir and use it for something. I'm not really sure for what. But we may want to create this directory and own it.
Comment 1 Jaroslav Reznik 2015-03-03 10:00:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 16:51:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Miroslav Suchý 2016-07-27 10:26:42 EDT
Still valid.
Comment 4 Fedora End Of Life 2017-02-28 04:34:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Fedora End Of Life 2018-05-03 05:09:38 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Jan Kurik 2018-08-14 07:01:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.